Bug 1558995 - 30% regression on small-file rmdirs from 3.3.1
Summary: 30% regression on small-file rmdirs from 3.3.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: arbiter
Version: rhgs-3.4
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Ravishankar N
QA Contact: Karan Sandha
URL:
Whiteboard:
Depends On:
Blocks: 1369312 1503137
TreeView+ depends on / blocked
 
Reported: 2018-03-21 13:24 UTC by Karan Sandha
Modified: 2018-09-24 06:51 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:44:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:45:35 UTC

Description Karan Sandha 2018-03-21 13:24:14 UTC
Description of problem:
Regression seen on smallfile rmdir from rhgs 3.3.1 to rhgs 3.4.0 on fuse mount. 

Version-Release number of selected component (if applicable):
3.12.2-5

How reproducible:
100%
profile infos are kept at sosreports are placed at sosreport and statedumps at mount -t cifs -oguest
//newtssuitcase.lab.eng.blr.redhat.com/newtssuitcase /BZ_sosreports/Karan/Porfile_info/

Steps to Reproduce:
1. Run small-file rmdir on 6 node setup using 6 client machines below command qeSyncDropCaches.sh; python /small-files/smallfile/smallfile_cli.py --operation rmdir --threads 8 --file-size 64 --files 5000 --top /gluster-mount  --host-set "`echo $CLIENT | tr ' ' ','`"
2. now compare the same with RHGS 3.3.1 i.e 3.8.4.54.3 


Actual results:
Regression seen between release  

Expected results:
No regression should be observed


Additional info:
not a brick mux setup.
The performance numbers weren't consistent i.e after every iterations the regression was more. 
regression seen on 2x2 volume also

Comment 8 Raghavendra G 2018-04-16 06:02:27 UTC
Karan,

Was this seen on plain distribute volumes too? There are some changes to mkdir/rmdir/renamedir codepaths in DHT during 3.4.0 cycle. Hence asking to clarify whether this regression was introduced due to any of these changes.

regards,
Raghavendra

Comment 13 Sunil Kumar Acharya 2018-06-27 03:05:59 UTC
Upstream patch: https://review.gluster.org/#/c/20392/

Comment 18 errata-xmlrpc 2018-09-04 06:44:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.